PAM_VERROR(3)

NAME
pam_verror - display an error message

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
int
pam_verror(const pam_handle_t *pamh, const char *fmt, va_list ap);

DESCRIPTION
The pam_verror() function passes its arguments to pam_vprompt(3) with a style argument of PAM_ERROR_MSG, and discards the response.

RETURN VALUES
The pam_verror() function returns one of the following values:

[PAM_BUF_ERR]
    Memory buffer error.

[PAM_CONV_ERR]
    Conversation failure.

[PAM_SYSTEM_ERR]
    System error.

SEE ALSO
pam(3), pam_error(3), pam_strerror(3), pam_vinfo(3), pam_vprompt(3)

STANDARDS
The pam_verror() function is an OpenPAM extension.

AUTHORS
The pam_verror() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.